Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting.samples.transporter.basic
Class Customer

    java.lang.Object
      org.jboss.remoting.samples.transporter.basic.Customer

All Implemented Interfaces:
  java.io.Serializable

    public class Customer

extends java.lang.Object
implements java.io.Serializable

Simple data object to represent customer data, to include Address object.

Author:
  Tom Elrod
See Also:
  Serialized Form

Constructor Summary
`Customer()`

Method Summary
`Address` | `getAddr()`
`int` | `getCustomerId()`
`java.lang.String` | `getFirstName()`
`java.lang.String` | `getLastName()`
`void` | `setAddr(Address addr)`
`void` | `setCustomerId(int customerId)`
`void` | `setFirstName(java.lang.String firstName)`
`void` | `setLastName(java.lang.String lastName)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Customer

    public Customer()

Method Detail

### getFirstName

    public java.lang.String getFirstName()

### setFirstName

    public void setFirstName(java.lang.String firstName)

### getLastName

    public java.lang.String getLastName()

### setLastName

    public void setLastName(java.lang.String lastName)

### getAddr

    public Address getAddr()

### setAddr

    public void setAddr(Address addr)

### getCustomerId

    public int getCustomerId()

### setCustomerId

    public void setCustomerId(int customerId)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 1998-2005 JBoss Inc . All Rights Reserved.